/*
File Name: rwmatrix.c
Last Modification Date:	%G%	%U%
Current Version: %M%	%I%
File Creation Date: Thu May  6 12:44:34 1999
Author: Hyeokho Choi  <choi@ece.rice.edu>

Copyright: All software, documentation, and related files in this distribution
           are Copyright (c) 1999  Rice University

Permission is granted for use and non-profit distribution providing that this
notice be clearly maintained. The right to distribute any portion for profit
or as part of any commercial product is specifically reserved for the author.

Change History:

*/

#include <stdio.h>
#include "hmt.h"

void rdmatrix(double **m,const char *fname, int p)
{
 int i;
 FILE *fid;

 fid = fopen(fname,"rb");

 for(i=1;i<=p;i++)
   fread(m[i]+1,sizeof(double),p,fid);
 fclose(fid);
}          

void wtmatrix(double **m, const char *fname, int p)
{
 int i;
 FILE *fid;

 fid = fopen(fname,"wb");
 
 for(i=1;i<=p;i++)
   fwrite(m[i]+1,sizeof(double),p,fid);
 fclose(fid);
}

